--- a/pyme/core.py
+++ b/pyme/core.py
@@ -58,6 +58,7 @@ class Context(GpgmeWrapper):
             self.own = False
         else:
             tmp = pygpgme.new_gpgme_ctx_t_p()
+            check_version()
             errorcheck(pygpgme.gpgme_new(tmp))
             self.wrapped = pygpgme.gpgme_ctx_t_p_value(tmp)
             pygpgme.delete_gpgme_ctx_t_p(tmp)
